Vehicle commands
curl --request GET \
--url https://api.energy-hub.io/v1.0.0/vehicles/{vehicleId}/commands \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.energy-hub.io/v1.0.0/vehicles/{vehicleId}/commands"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.energy-hub.io/v1.0.0/vehicles/{vehicleId}/commands', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"createdAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "PENDING",
"type": "CHARGING_START",
"userId": "896f9d5a-b618-48a2-98ae-957059bf1bc9",
"deviceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]{
"errorCode": "UNAUTHORIZED",
"id": "cae58230-364d-45ca-b67d-08a57653c59f",
"message": "Unauthorized"
}{
"errorCode": "VEHICLE_NOT_FOUND",
"id": "cae58230-364d-45ca-b67d-08a57653c59f",
"message": "[VEHICLE] Requested Vehicle not found"
}Vehicle
Vehicle commands
Returns pending commands for vehicle
GET
/
v1.0.0
/
vehicles
/
{vehicleId}
/
commands
Vehicle commands
Authorizations
API key used for authorization and authentication.
Path Parameters
Vehicle ID
Response
Successful operation
The timestamp when command is created.
The ID of the command.
The state of the command.
PENDING- Command is waiting to be executed.FAILED- Execution of command has failed.EXECUTED- Command has been executed successfully.
Available options:
PENDING, EXECUTED, FAILED The name of the command type to execute.
Available options:
CHARGING_START, CHARGING_STOP, SET_CHARGING_CURRENT, SET_CHARGING_SCHEDULE The ID of the user.
Example:
"896f9d5a-b618-48a2-98ae-957059bf1bc9"
The ID of the vehicle.

